Subject: Re: bug#55041: 28.1; repeat-mode always prints message when enabled

From: Juri Linkov <[email-masked]>
Date: Wed, 20 Apr 2022 20:10:12 +0300

> Minor thing: When repeat-mode is enabled it calls message with:
>
>   "Repeat mode is enabled for %d commands and %d keymaps; see `describe-repeat-maps'."
>
> I'm working on my configuration and of all the other minor-modes
> I enable by calling from lisp, none of them print such a message,
> so this stands out when I'm looking at *Messages*.

This is exactly the reason why it outputs its statistics to *Messages*,
so you could see how many commands are affected by this mode.
Also I see that it doesn't stand out too much,
for example, I have after starting Emacs in *Messages*:

  Starting new Ispell process /usr/bin/hunspell with american dictionary...done
  Repeat mode is enabled for 23 commands and 9 keymaps; see ‘describe-repeat-maps’.
  Cleaning up the recentf list...done (0 removed)
  Desktop: 1 frame, 19 buffers restored.

But if the majority will prefer to remove it, then I could commit such a patch.
So we need just one additional vote that supports this change :)